component: AiMonitorFaultHandler
proto_imports:
  - vehicle/ai_monitor/robot_monitor/diagnostics/fault_handler_diagnostics.proto
metric: zoox::diag::EmptyMetric
namespace: zoox::ai_monitor::fault_handler
faults:
  - id: 0
    name: FAULT_TRIGGERED
    severity: ERROR
    description: "Robot is faulted and potentially unsafe."
    freeze_frame: zoox.ai_monitor.fault_handler.FaultHandlerFreezeFrame
    # Set to false and avoid circular logic of trigger NoGos.
    triggers_nogo: false

    ##################################################################################################
    ## Warning diagnostics set if AI monitor fault handler component is enabled for test mode only. ##
    ##################################################################################################

  - id: 100
    name: FaultTriggeredWarn
    severity: WARNING
    description: "Robot is faulted and potentially unsafe."
    freeze_frame: zoox.ai_monitor.fault_handler.FaultHandlerFreezeFrame
